@import url(https://fonts.googleapis.com/css2?family=Quicksand:wght@700&display=swap);

* {
  font-family: sans-serif;
}

/* header clock css */


:root {
  --white: #ffffff;
  --black: #000000;
  --primary: #009879;
  --secondary: #246997;
  --buttonColor: yellow;
  --hoverColor: #128783;
  --bodyColor: #777777;
  --tabColor: #006dad;
}

/* css for current focus element */
.dataTables_wrapper .dataTables_filter input:focus,
.dataTables_wrapper .dataTables_length select:focus,
.form-control:focus,
.select2-container.select2-container--bootstrap:focus,
.select2-container--bootstrap .select2-search--dropdown .select2-search__field:focus {
  /* background-color: #def9be; */
  box-shadow: 0 0 0 0.5px var(--primary);
}


.swal-footer {
  display: flex;
  justify-content: center;
}

a {
  color: var(--primary);
  text-decoration: none;

}

.radio-inline input[type=radio]:focus,
.checkbox input:focus,
.form-check input:focus {
  box-shadow: 0 0 0 2px rgba(75, 230, 139, 0.88);
}

.sidebar,
.app-header {
  background-color: var(--primary) !important;
}

.app-header .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='%23FFFFFF' stroke-width='2.25' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E") !important;
  height: 23px;
}


.create_blade {
  width: 100% !important;
  flex: 1 !important;
}





.btn-primary,
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
  color: #fff;
  background-color: #009879;
  border-color: #009879;
}

.btn-primary:hover {
  color: #fff;
  background-color: #128783;
  border-color: #128783;
}

.sidebar {
  background-color: #009879 !important;
}



.sidebar .nav-dropdown-items .nav-item {
  color: white;
  margin-left: 15px;
  font-size: 12px !important;
  padding: 0px !important;
}





.btn-primary,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
  background-color: var(--primary) !important;
  border-color: var(--hoverColor) !important;
  color: var(--white) !important;
}

.btn-primary:hover {
  background-color: var(--hoverColor) !important;
  color: #fff !important;
}

#crudTable_reset_button {
  color: var(--primary) !important;
}

.nav-link {
  margin-bottom: 5px;
}

.btn-success {
  background-color: #067a52;
}

.edit-btn {
  margin-left: 2px;
  padding: 0px 2px 0px 3px;
  border-radius: 4px;
  font-size: 16px;
}

.show-btn {
  margin-left: 2px;
  padding: 0px 2px 0px 3px;
  border-radius: 4px;
  font-size: 16px;
  border: 1px solid #055d78;
  background-color: #055d78;
}

.btn-link {
  margin-right: 2px;
  padding: 2px 10px;
  border-radius: 4px;
  font-size: 16px;
  border: none;
  background-color: var(--primary);
  color: #fff;
}

.btn-link:hover {

  color: #fff;
}



.print-btn {
  margin-left: 2px;
  padding: 0px 5px;
  border-radius: 4px;
  font-size: 16px;
  border: 1px solid #0b7697;
  background-color: #1aa0c8;
}

.back-btn {
  background-color: grey;
  color: white;
  border-radius: 4px;
  padding: 2px 7px 2px 2px;
  font-size: 14px;
  transition: transform 0.2s;
}

.back-btn:hover {
  text-decoration: none;
  background-color: rgb(53, 51, 51);
  color: white;
}

.delete-btn {
  margin-left: 2px;
  padding: 0px 2px 0px 2px;
  border-radius: 4px;
  font-size: 16px;
  font-weight: bold;
}

.dataTables_scrollBody {
  overflow-y: scroll !important;
  overflow-x: scroll !important;
}

/* Hide Scroll bar in action column*/
.DTFC_RightBodyLiner {
  overflow-y: hidden !important;
  overflow-x: hidden !important;
}

/* Adjusting Position of action column */
.DTFC_RightFootWrapper {
  margin-top: -7px !important;
}

div.DTFC_RightBodyWrapper {
  top: -12px !important;
}

.dataTables_wrapper .dataTables_filter input,
.dataTables_wrapper .dataTables_length select {
  display: block;
  width: 100%;
  /* height: 2.15rem;
  padding: .075rem .75rem; */
  height: 1.85rem;
  padding: 0.1rem 0.75rem;
  font-size: 0.99rem;
  font-weight: 400;
  line-height: 2;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 40, 100, 0.12);
  border-radius: 3px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn-warning {
  color: #ffffff;
  background-color: #ffc107;
  border-color: #ffc107;
}

.form-center {
  display: flex;
  flex-flow: column;
  align-items: center;
}


#example th {
  background-color: #009879 !important;
  color: #ffffff;
  text-align: left;
}

#example th,
#example td {
  padding: 12px 15px;
}

#example tbody tr {
  border-bottom: 1px solid #dddddd;
}

#example tbody tr:nth-of-type(even) {
  background-color: #f3f3f3;
}



#example  tbody tr:last-child{
  border-bottom: 2px solid #009879 !important;
}

#example tbody tr.active-row {
  font-weight: bold;
  color: #009879;
}







.select2-search__field:focus,
.select2-selection.select2-selection--multiple:focus,
.select2-selection.select2-selection--single:focus {
  background-color: #def9be;
  box-shadow: 0 0 0 3px rgba(70, 127, 207, 0.88) !important;
}

/* DataTable related customization */
.dataTables_scrollFoot,
.DTFC_RightFootWrapper {
  display: none;
}

.DTFC_RightBodyLiner {
  overflow-y: hidden !important;
  overflow-x: hidden !important;
}

.DTFC_RightBodyLiner {
  left: -12px;
}

td p {
  margin-top: 0.3rem;
  margin-bottom: 0.3rem;
}

.table th {
  /* padding: 0.4rem !important; */
  border-top: none;
  background-color: #c8ced3;
  font-size: 14px;
}

.table td {
  padding-top: 0.15rem !important;
  padding-bottom: 0.15rem !important;
  border-top: none;
  font-size: 14px !important;
  border-right: 1px solid rgb(236, 233, 233);
}

/*** Patient Observation Page ***/
.today-date {
  margin: 10px 30px 0px 0px;
  text-align: right;
  font-size: 17px;
  font-weight: 600;
}

.top-navigation {
  margin: 10px 0 0 20px;
}

#appointment {
  margin-top: 10px;
}

.data {
  padding: 20px;
}

hr.hr-line {
  border: 1px solid lightgray;
}



.print_export_button {
  background-color: green !important;
  color: white !important;
  border-radius: 5px 5px 5px 5px;
}

.print_export_button.buttons-colvis {
  background-color: rgb(45, 66, 137) !important;
}

.input-group-text {
  padding: 0.375rem 0.4rem !important;
}



.sidebar.sidebar-pills .nav-link.active,
.sidebar.sidebar-pills .nav-link:hover,
.nav-dropdown-toggle:hover {
  color: #f4CF94 !important;
}

.sidebar.sidebar-pills .nav-link {
  color: white !important;
  font-size: 14px;
}

.sidebar.sidebar-pills .nav-link.active .nav-icon,
.sidebar.sidebar-pills .nav-link:hover .nav-icon {
  color: #f4CF94 !important;
}

.sidebar.sidebar-pills .nav-link .nav-icon {
  color: white !important;
  font-size: 15px !important;
}

.app-header {
  background-color: #009879 !important;
  height: unset !important;
  justify-self: center;
  padding: 6px 0;
}

.app-header .navbar-brand {
  color: #fff !important;
  opacity: 1 !important;
}


.page-item.active .page-link {
  background-color: var(--primary) !important;
  border-color: var(--hoverColor) !important;
}


.la-filter {
  display: none !important;
}



.select2-container--default .select2-results__option[data-select2-id="0"] {
  /* CSS styles for 'active' status option */
  color: blue !important;
}

/* Define styles for the 'inactive' status option */
.select2-container--default .select2-results__option[data-select2-id="1"] {
  /* CSS styles for 'inactive' status option */
  color: green !important;
}